from pyspark.sql import SparkSession

spark = SparkSession.builder.appName("").getOrCreate()

print("creating database")
spark.sql('CREATE DATABASE IF NOT EXISTS marketing')

print("creating table")
spark.sql('''
    CREATE TABLE IF NOT EXISTS marketing.ad_clicks (  
        user_id                                              INT,
        ad_id                                                INT,
        click_timestamp                                      TIMESTAMP,
        impression_timestamp                                 TIMESTAMP
    )
    USING iceberg
    PARTITIONED BY (ad_id)
''')
